package com.example.elva.data.websocket

import com.example.elva.data.remote.model.emergency.AlertResponseWS
import com.example.elva.data.remote.model.emergency.AlertUpdateWS
import com.example.elva.data.remote.model.emergency.EmergencyAlertWS

interface WebSocketEventListener {
    fun onConnectionOpened()
    fun onConnectionEstablished(userId: Int)
    fun onNewEmergencyAlert(alert: EmergencyAlertWS)
    fun onAlertUpdate(update: AlertUpdateWS)
    fun onAlertResponse(response: AlertResponseWS)
    fun onConnectionClosing(code: Int, reason: String)
    fun onConnectionClosed(code: Int, reason: String)
    fun onError(error: String)
}

